Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ivoa.registry.search
Class VOResource

    java.lang.Object
      net.ivoa.registry.search.Metadata
          net.ivoa.registry.search.VOResource

    public class VOResource

extends Metadata

a class for extracting VOResource metadata out of a DOM tree.

Field Summary

Fields inherited from class net.ivoa.registry.search.Metadata
`cache, XSI_NS`

Constructor Summary
`VOResource(org.w3c.dom.Element el)` create a VOResource metadata extracter

Method Summary
`Capability` | `findCapabilityByID(java.lang.String id)` return the capability element of a specified type.
`Capability` | `findCapabilityByType(java.lang.String type)` return the capability element of a specified type.
`java.lang.String` | `getIdentifier()` return the resource's identifier
`java.lang.String` | `getResourceClass()` return the resource class.
`java.lang.String` | `getShortName()` return the resource's short name
`java.lang.String` | `getTitle()` return the resource's title

Methods inherited from class net.ivoa.registry.search.Metadata
`clearCache, findBlocks, getBlocks, getDOMNode, getParameter, getParameters, getPathName, getXSIType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VOResource

    public VOResource(org.w3c.dom.Element el)

  create a VOResource metadata extracter

Method Detail

### getResourceClass

    public java.lang.String getResourceClass()

  return the resource class. This is the value of the xsi:type attribute on the VOResource root element. The namespace prefix is stripped off before returning.

### getTitle

    public java.lang.String getTitle()

  return the resource's title

### getIdentifier

    public java.lang.String getIdentifier()

  return the resource's identifier

### getShortName

    public java.lang.String getShortName()

  return the resource's short name

### findCapabilityByType

    public Capability findCapabilityByType(java.lang.String type)

  return the capability element of a specified type.

  Parameters:
    `type` - the value of the xsi:type without a namespace prefix
  Returns:
    Capability the matching capability element or null if it doesn't exist

### findCapabilityByID

    public Capability findCapabilityByID(java.lang.String id)

  return the capability element of a specified type.

  Parameters:
    `id` - the value of the standardID
  Returns:
    Capability the matching capability element or null if it doesn't exist

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD